Bug 785776 - fedpkg doesn't use ~/.koji/config anymore
fedpkg doesn't use ~/.koji/config anymore
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedpkg (Show other bugs)
16
All Linux
high Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-30 10:41 EST by Karsten Hopp
Modified: 2013-01-10 01:42 EST (History)
1 user (show)

See Also:
Fixed In Version: fedpkg-1.9-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-30 22:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2012-01-30 10:41:10 EST
Description of problem:
older versions of fedpkg honored  ~/.koji/config which allowed me to overwrite the global config with p.e. secondary arch settings by linking ~/.koji/ppc-config to ~/.koji/config

Nowadays fedpkg has /etc/koji.conf hardcoded and secondary arch maintainers need to replace  /etc/koji.conf with custom configs as 'fedpkg --arches ppc ppc64' doesn't work either


Steps to Reproduce:
1. ln -s ~/.koji/ppc-config ~/.koji/config
2. cd to a fedora package checkout directory (p.e. fedpkg clone ed )
3. fedpkg build --scratch --target f17     -> package gets built on the primary archs
4. fedpkg build --scratch --archs ppc ppc64 --target f17   -> some weird error about your home directory not being a repository
Comment 1 Karsten Hopp 2012-01-30 10:44:50 EST
4. the weird error happens only if you also have --srpm some-valid-srpm on the commandline, if you've changed into a package checkout directory, the package gets built on the primary archs again instead of ppc
Comment 2 Jesse Keating 2012-03-02 19:06:46 EST
Two bugs here.  Bug 1 (not reading ~/.koji/config) is a rpkg bug, fixed in commit fba6396a959a03453856e2ef306116c344bb874d

Bug 2 (the error about not being in a repository) is a fedpkg bug, part of the routine that checks to see if the user has processed the branch renames yet in their checkout.  I've fixed it to pass if there is no repo in question, commit 467a8d218dcf29e2dff571abca5b2b652ffb8e1b
Comment 3 Fedora Update System 2012-03-12 19:56:05 EDT
rpkg-1.14-1.fc16,fedpkg-1.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpkg-1.14-1.fc16,fedpkg-1.9-1.fc16
Comment 4 Fedora Update System 2012-03-12 19:56:41 EDT
fedpkg-1.9-1.fc15,rpkg-1.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedpkg-1.9-1.fc15,rpkg-1.14-1.fc15
Comment 5 Fedora Update System 2012-03-12 19:57:11 EDT
fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17
Comment 6 Fedora Update System 2012-03-13 13:10:28 EDT
Package fedpkg-1.9-1.fc17, rpkg-1.14-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedpkg-1.9-1.fc17 rpkg-1.14-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3682/fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-03-30 22:57:30 EDT
fedpkg-1.9-1.fc15, rpkg-1.15-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-03-30 23:20:44 EDT
fedpkg-1.9-1.fc16, rpkg-1.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-04-11 22:06:23 EDT
fedpkg-1.9-1.fc17, rpkg-1.15-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.